"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("dotenv/config");
const log_1 = require("./log");
const shell_1 = require("./shell");
const delay_1 = require("./delay");
let log = (0, log_1.createLog)('fm');
let logfd = (0, log_1.createLog)('fd');
log.info('Starting filmout_manager');
function logfdstd(data) {
    logfd.info(data);
}
function logfdstderr(data) {
    logfd.error(data);
}
async function main() {
    let shell = new shell_1.Shell(['../filmout_display/build/bin/fd', '2560', '1600'], logfdstd, logfdstderr, null, true);
    shell.execute();
    await (0, delay_1.delay)(5000);
    shell.kill();
    process.exit();
}
main();
//# sourceMappingURL=index.js.map